package de.ivu.elect.business.wahl.control;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.jee.entity.Meta;
import de.ivu.elect.jee.faces.Messages;

/**
 *  on 02.07.2015.
 */
@Named(WahlKonfigurationMeta.COMPONENT_NAME)
public class WahlKonfigurationMeta implements Meta {
  public static final String COMPONENT_NAME = "wahlKonfigurationMeta";

  @Inject
  Messages messages;

  @Override
  public String getEinzahlMessageKey() {
    return "entity.einzahl.WAHLKONFIGURATION";
  }

  @Override
  public String getMehrzahlMessageKey() {
    return "entity.mehrzahl.WAHLKONFIGURATION";
  }

  @Override
  public String getEinzahlMessage() {
    return messages.getMessageForMessageKey(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage() {
    return messages.getMessageForMessageKey(getMehrzahlMessageKey());
  }
}
